Subject: Re: bug#19174: Wishlist/suggestion for emacs/lisp/calendar/cal-french.el

From: Jean Forget <[email-masked]>
Date: Tue, 15 Jun 2021 07:55:10 +0200

Le 10/06/2021 à 11:09, Mattias Engdegård a écrit :
> 10 juni 2021 kl. 07.40 skrev Jean Forget <[email-masked]>:
> 
>> http://datetime.mongueurs.net/Histoire/tit/titre-g.en.html
>>
>> When you read the pages for the additional days, you see that
>> they are printed with a day number and a day-of-week name.
> 
> Thank you, that is a primary source! Of course we know little about the context: it may have been written that way for sake of a uniform presentation. However, being no scholar of the republican calendar I will leave that judgement to you.
> 
>> About lower case vs upper case: The French convention for
>> Revolutionary names may be different from the French convention
>> for Gregorian names. Most often, the revolutionary month names
>> and day names are printed with an initial capital letter.
>> Yet, there are exceptions. See the front page (link above)
>> which mentions the "9 floréal an 7" with a lower case "f".
> 
> Yes, it is a fair assumption that the usage conventions were less rigid in those days, and it can have been a matter of whether the words occurred in a title or in running text. The (French) Wikipédia article uses predominantly lower case but it obviously follows modern conventions. Again, your call.
> 
> Feel free to base your changes on my previously posted diff, but give it a good read-through so that the changes are indeed exactly those that you intended. Also, we'd be happy if you wrote some tests; test/lisp/calendar/cal-french-tests.el would be a suitable place.
> 

About tests: I am much more used to Perl usages and habits than Lisp.
So the attached Emacs-Lisp file behaves like a Perl module test file.
I have not yet looked at what a real E-Lisp test file looks like.

About lower case vs caps: in my previous message, I have forgotten
to mention another reason I used caps. As I am more a programmer than
an historian, I have opted for ease of programming (not for me, but
for Emacs users). It is easy to convert a capitalized string to
lowercase, it is more difficult to convert a lowercase string to
capitalised, especially with composite words such as "jour de la
Pomme de terre" or "jour du Laurier-thym". If I provide capitalised
strings, the Emacs user can choose between doing nothing and getting
a capitalised string or doing a basic and easy "to-lower" transformation
and getting a lowercase string.

About reading your posted diff: I have not had the time to read it
for now. Also, I may install a recent Emacs version on a virtual
machine, apply your diff and check that it works.

Jean Forget